Skip to content

workspaces_retrieve

GET
/api/workspaces/{id}
curl --request GET \
--url https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Retrieve a workspace item.

id
required
string format: uuid

A UUID string identifying this workspace.

Media typeapplication/json

Serializer for a single workspace, including related-object counts.

object
id
required
string format: uuid
name
required
string
<= 50 characters
description
string
nullable
slug
required
string
/^[-a-zA-Z0-9_]+$/
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : Workspace The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
created_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : Workspace The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties
last_edited_time
required
string format: date-time
members_count
required
integer
nodes_count
required
integer
connections_count
required
integer
data_count
required
integer
submissions_count
required
integer

Example generated

{
"name": "example",
"description": "example"
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "forbidden",
"message": "You do not have permission to perform this operation. Check the `details` property for more details.",
"details": [
{
"parameter": "workspace",
"code": "not_allowed",
"message": "You are not a member of this workspace."
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "object_not_found",
"message": "Object not found. Check the `details` property for more details.",
"details": [
{
"parameter": "<id>",
"code": "does_not_exist",
"message": "\"<id>\" does not exist."
}
]
}